summaryrefslogtreecommitdiffstats
path: root/libraries/webkit2gtk4.1
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/webkit2gtk4.1')
-rw-r--r--libraries/webkit2gtk4.1/3d5373575695b293b8559155431d0079a6153aff.patch33
-rw-r--r--libraries/webkit2gtk4.1/README16
-rw-r--r--libraries/webkit2gtk4.1/slack-desc19
-rw-r--r--libraries/webkit2gtk4.1/unhide-deprecated-api.patch12
-rw-r--r--libraries/webkit2gtk4.1/webkit2gtk4.1.SlackBuild125
-rw-r--r--libraries/webkit2gtk4.1/webkit2gtk4.1.info10
6 files changed, 215 insertions, 0 deletions
diff --git a/libraries/webkit2gtk4.1/3d5373575695b293b8559155431d0079a6153aff.patch b/libraries/webkit2gtk4.1/3d5373575695b293b8559155431d0079a6153aff.patch
new file mode 100644
index 0000000000..62b893bdfc
--- /dev/null
+++ b/libraries/webkit2gtk4.1/3d5373575695b293b8559155431d0079a6153aff.patch
@@ -0,0 +1,33 @@
+From 3d5373575695b293b8559155431d0079a6153aff Mon Sep 17 00:00:00 2001
+From: Michael Catanzaro <mcatanzaro@redhat.com>
+Date: Mon, 5 Feb 2024 11:00:49 -0600
+Subject: [PATCH] =?UTF-8?q?[GTK]=20[2.42.5]=20LowLevelInterpreter.cpp:339:?=
+ =?UTF-8?q?21:=20error:=20=E2=80=98t6=E2=80=99=20was=20not=20declared=20in?=
+ =?UTF-8?q?=20this=20scope=20https://bugs.webkit.org/show=5Fbug.cgi=3Fid?=
+ =?UTF-8?q?=3D268739?=
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Unreviewed build fix. Seems a backport went badly, and we didn't notice
+because the code is architecture-specific.
+
+* Source/JavaScriptCore/llint/LowLevelInterpreter.cpp:
+(JSC::CLoop::execute):
+---
+ Source/JavaScriptCore/llint/LowLevelInterpreter.cpp | 2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/Source/JavaScriptCore/llint/LowLevelInterpreter.cpp b/Source/JavaScriptCore/llint/LowLevelInterpreter.cpp
+index 5064ead6cd2e7..9a2e2653b1219 100644
+--- a/Source/JavaScriptCore/llint/LowLevelInterpreter.cpp
++++ b/Source/JavaScriptCore/llint/LowLevelInterpreter.cpp
+@@ -336,8 +336,6 @@ JSValue CLoop::execute(OpcodeID entryOpcodeID, void* executableAddress, VM* vm,
+ UNUSED_VARIABLE(t2);
+ UNUSED_VARIABLE(t3);
+ UNUSED_VARIABLE(t5);
+- UNUSED_VARIABLE(t6);
+- UNUSED_VARIABLE(t7);
+
+ struct StackPointerScope {
+ StackPointerScope(CLoopStack& stack)
diff --git a/libraries/webkit2gtk4.1/README b/libraries/webkit2gtk4.1/README
new file mode 100644
index 0000000000..e3633f056f
--- /dev/null
+++ b/libraries/webkit2gtk4.1/README
@@ -0,0 +1,16 @@
+WebKitGTK+ is a full-featured port of the WebKit rendering engine,
+suitable for projects requiring any kind of web integration, from
+hybrid HTML/CSS applications to full-fledged web browsers.
+
+It offers WebKit's full functionality and is useful in a wide range
+of systems from desktop computers to embedded systems like phones,
+tablets, and televisions.
+
+NOTE:
+This package builds the 4.1 WebKit API. If you need 4.0 WebKit API,
+use webkit2gtk. Don't install both at the same time!!
+
+If your application is not working well after upgrading to this
+version, consider adding this environment variable before running
+the application:
+export WEBKIT_DISABLE_COMPOSITING_MODE=1
diff --git a/libraries/webkit2gtk4.1/slack-desc b/libraries/webkit2gtk4.1/slack-desc
new file mode 100644
index 0000000000..617429cb19
--- /dev/null
+++ b/libraries/webkit2gtk4.1/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+webkit2gtk4.1: webkit2gtk4.1 (Web content rendering)
+webkit2gtk4.1:
+webkit2gtk4.1: WebKitGTK+ is a full-featured port of the WebKit rendering engine,
+webkit2gtk4.1: suitable for projects requiring any kind of web integration, from
+webkit2gtk4.1: hybrid HTML/CSS applications to full-fledged web browsers.
+webkit2gtk4.1: It offers WebKit's full functionality and is useful in a wide range
+webkit2gtk4.1: of systems from desktop computers to embedded systems like phones,
+webkit2gtk4.1: tablets, and televisions.
+webkit2gtk4.1:
+webkit2gtk4.1: https://www.webkitgtk.org/
+webkit2gtk4.1:
diff --git a/libraries/webkit2gtk4.1/unhide-deprecated-api.patch b/libraries/webkit2gtk4.1/unhide-deprecated-api.patch
new file mode 100644
index 0000000000..1133632b2d
--- /dev/null
+++ b/libraries/webkit2gtk4.1/unhide-deprecated-api.patch
@@ -0,0 +1,12 @@
+diff --git a/Source/WTF/wtf/Platform.h b/Source/WTF/wtf/Platform.h
+index 6fa104c82992..8c8640c3dee7 100644
+--- a/Source/WTF/wtf/Platform.h
++++ b/Source/WTF/wtf/Platform.h
+@@ -113,7 +113,6 @@
+
+ /* FIXME: This does not belong in Platform.h and should instead be included in another mechanism (compiler option, prefix header, config.h, etc) */
+ /* ICU configuration. Some of these match ICU defaults on some platforms, but we would like them consistently set everywhere we build WebKit. */
+-#define U_HIDE_DEPRECATED_API 1
+ #define U_SHOW_CPLUSPLUS_API 0
+ #ifdef __cplusplus
+ #define UCHAR_TYPE char16_t
diff --git a/libraries/webkit2gtk4.1/webkit2gtk4.1.SlackBuild b/libraries/webkit2gtk4.1/webkit2gtk4.1.SlackBuild
new file mode 100644
index 0000000000..093b929826
--- /dev/null
+++ b/libraries/webkit2gtk4.1/webkit2gtk4.1.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+#
+# Slackware build script for webkit2gtk4.1
+#
+# Copyright 2022-2024 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=webkit2gtk4.1
+SRCNAM=webkitgtk
+VERSION=${VERSION:-2.44.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/unhide-deprecated-api.patch
+patch -p1 < $CWD/3d5373575695b293b8559155431d0079a6153aff.patch
+
+mkdir -p build
+cd build
+ cmake -DPORT=GTK \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_SKIP_RPATH=ON \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX} \
+ -DLIBEXEC_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX}/webkit2gtk-4.1 \
+ -DENABLE_GAMEPAD=OFF \
+ -DENABLE_MINIBROWSER=ON \
+ -DENABLE_JOURNALD_LOG=OFF \
+ -DENABLE_DOCUMENTATION=OFF \
+ -DENABLE_BUBBLEWRAP_SANDBOX=off \
+ -DUSE_SYSTEM_MALLOC=on \
+ -DUSE_AVIF=OFF \
+ -DUSE_GTK4=OFF \
+ -DUSE_LIBBACKTRACE=OFF \
+ -DUSE_JPEGXL=OFF \
+ -DUSE_GSTREAMER_TRANSCODER=OFF \
+ -Wno-dev \
+ -G Ninja \
+ ..
+
+# The build might crash on high specs machines because ninja eat all
+# of the resources, so let's try to limit it to half the available ones
+"${NINJA:=ninja}" -j$(expr $(nproc) / 2)
+DESTDIR=$PKG $NINJA -j1 install
+
+mkdir -p $PKG/usr/share/gtk-doc/html/webkit{2,dom}gtk-4.1
+cp -rf ../Documentation/* \
+ $PKG/usr/share/gtk-doc/html/webkit2gtk-4.1/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/webkit2gtk4.1/webkit2gtk4.1.info b/libraries/webkit2gtk4.1/webkit2gtk4.1.info
new file mode 100644
index 0000000000..e4ed81f235
--- /dev/null
+++ b/libraries/webkit2gtk4.1/webkit2gtk4.1.info
@@ -0,0 +1,10 @@
+PRGNAM="webkit2gtk4.1"
+VERSION="2.44.2"
+HOMEPAGE="https://www.webkitgtk.org/"
+DOWNLOAD="https://www.webkitgtk.org/releases/webkitgtk-2.44.2.tar.xz"
+MD5SUM="b61ff37133cabc9ef5d870b296e9694d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="bubblewrap geoclue2 wpebackend-fdo xdg-dbus-proxy libsoup3 unifdef"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"